searchData={"items":[{"type":"module","title":"PlugProbe","doc":"A plug for responding to HTTP probe requests.\n\nThis plug responds to `GET` or `HEAD` requests at a specific path\n(`/probe` by default), with:\n\n  * status code: `200`\n  * body: `OK` or `{}` (when `json: true` option is set)","ref":"PlugProbe.html"},{"type":"module","title":"Options - PlugProbe","doc":"The following options can be used when calling `plug PlugProbe`.\n\n  * `:path` (string) - specify the path on which `PlugProbe` will be mounted\n    to respond to probe requests. Default to `/probe`.\n  * `:json` (boolean) - specify whether the response will be an\n    `application/json` response. Default to `false`.","ref":"PlugProbe.html#module-options"},{"type":"module","title":"Examples - PlugProbe","doc":"In general, probe requests are separated from the functionality of the\napplication, because of that, it's better to handle them as light as\npossible.\n\nIn order to do that, this plug should be placed near the top of a plug\npipeline, then it can match requests early so that subsequent plugs don't\nhave the chance to tamper the connection.\n\nFor a simple plug pipeline:\n\n    defmodule DemoServer do\n      use Plug.Builder\n\n      # Put it before any other plugs\n      plug PlugProbe\n\n      # ...\n    end\n\nFor a Phoenix endpoint:\n\n    defmodule DemoWeb.Endpoint do\n      use Phoenix.Endpoint, otp_app: :demo\n\n      # Put it before any other plugs\n      plug PlugProbe\n\n      # ...\n    end\n\nUsing a custom probe path is easy:\n\n    defmodule DemoServer do\n      use Plug.Builder\n\n      # Put it before any other plugs\n      plug PlugProbe, path: \"/heartbeat\"\n\n      # ...\n    end","ref":"PlugProbe.html#module-examples"},{"type":"function","title":"PlugProbe.call/2","doc":"","ref":"PlugProbe.html#call/2"},{"type":"function","title":"PlugProbe.init/1","doc":"","ref":"PlugProbe.html#init/1"},{"type":"extras","title":"PlugProbe","doc":"# PlugProbe\n\n[![CI](https://github.com/cozy-elixir/plug_probe/actions/workflows/ci.yml/badge.svg)](https://github.com/cozy-elixir/plug_probe/actions/workflows/ci.yml)\n[![Hex.pm](https://img.shields.io/hexpm/v/plug_probe.svg)](https://hex.pm/packages/plug_probe)\n[![built with Nix](https://img.shields.io/badge/built%20with%20Nix-5277C3?logo=nixos&logoColor=white)](https://builtwithnix.org)\n\n> A plug for responding to HTTP probe requests.","ref":"readme.html"},{"type":"extras","title":"Installation and docs - PlugProbe","doc":"Add `:plug_probe` to the list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:plug_probe,  }\n  ]\nend\n```","ref":"readme.html#installation-and-docs"},{"type":"extras","title":"Usage - PlugProbe","doc":"For more information, see the [documentation](https://hexdocs.pm/plug_probe).","ref":"readme.html#usage"},{"type":"extras","title":"License - PlugProbe","doc":"Apache License 2.0","ref":"readme.html#license"}],"content_type":"text/markdown"}